Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Class Srun

    java.lang.Object
      |
      +--com.caucho.server.http.Srun

public class Srun
extends java.lang.Object

Base class for HTTP and Runner servers.

Field Summary
`protected WriteStream` | `dbg`

Method Summary
`void` | `freeSessionConnection(ReadWritePair rws)`
`com.caucho.server.http.SrunConnection` | `getConnection()`
`Srun[]` | `getGroup()`
`java.lang.String` | `getGroupId()`
`int` | `getGroupIndex()` Returns the index of the srun with the group.
`java.lang.String` | `getHost()`
`java.lang.String` | `getId()`
`int` | `getIndex()`
`int` | `getPort()`
`ReadWritePair` | `getRecycleConnection()`
`ReadWritePair` | `getSessionConnection()`
`int` | `getTimeout()`
`boolean` | `isBackup()`
`void` | `setBackup(boolean isBackup)`
`void` | `setGroup(Srun[] group)`
`void` | `setGroupId(java.lang.String groupId)`
`void` | `setGroupIndex(int index)` Returns the index of the srun with the group.
`void` | `setHost(java.lang.String host)`
`void` | `setId(java.lang.String id)`
`void` | `setIndex(int i)`
`void` | `setPort(int port)`
`void` | `setTimeout(int timeout)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dbg

    protected WriteStream dbg

Method Detail

### setId

    public void setId(java.lang.String id)

### getId

    public java.lang.String getId()

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int i)

### getHost

    public java.lang.String getHost()

### setHost

    public void setHost(java.lang.String host)

### getPort

    public int getPort()

### setPort

    public void setPort(int port)

### isBackup

    public boolean isBackup()

### setBackup

    public void setBackup(boolean isBackup)

### getGroupId

    public java.lang.String getGroupId()

### setGroupId

    public void setGroupId(java.lang.String groupId)

### getGroup

    public Srun[] getGroup()

### setGroup

    public void setGroup(Srun[] group)

### getGroupIndex

    public int getGroupIndex()

  Returns the index of the srun with the group.

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int timeout)

### setGroupIndex

    public void setGroupIndex(int index)

  Returns the index of the srun with the group.

### getSessionConnection

    public ReadWritePair getSessionConnection()
                                       throws java.io.IOException

### getRecycleConnection

    public ReadWritePair getRecycleConnection()
                                       throws java.io.IOException

### freeSessionConnection

    public void freeSessionConnection(ReadWritePair rws)

### getConnection

    public com.caucho.server.http.SrunConnection getConnection()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD